Subject: [Ice] 5245bis: Definition of "base"

From: Christer Holmberg <[email-masked]>
Date: Wed, 2 Nov 2016 11:58:18 +0000

Hi,

Section 2.1 of draft-5245-bis says:

   "We call the host candidate associated with a given server reflexive candidate
   the BASE.”

      "Note: "Base" refers to the address an agent sends from for a
      particular candidate.  Thus, as a degenerate case host candidates
      also have a base, but it's the same as the host candidate.”

Q1: The note seems to contradict with the text above, which says a base is only associated with a server reflexive candidate.

Q2: The note is unclear on whether “address” also includes the port. I assume it does, in which case I think it should be “transport address”.

   "If the agent is not behind a NAT, then the base candidate will be the same as the server
   reflexive candidate and the server reflexive candidate is redundant and will be eliminated."

“Base candidate” is not defined anywhere (and, afaik, not used elsewhere in the document). I assume we should say either “base” or “host candidate”.

Section 3 says:

      "Base:  The base of a server reflexive candidate is the host candidate
      from which it was derived.  A host candidate is also said to have
      a base, equal to that candidate itself.  Similarly, the base of a
      relayed candidate is that candidate itself."

Q3: This text talks about “derived”, which is different terminology than elsewhere.

Section  4.1.1 says:

   "The base of a candidate is the candidate that an agent must send from when using that candidate.

Q4: There are now 3 different places defining “base”, all with different terminology. In

SUGGESTION: We should only define “base” once, in section 3.

Regards,

Christer